Subject: bug#56393: Actually fix the long lines display bug

From: Gregory Heytings <[email-masked]>
Date: Sat, 09 Jul 2022 12:01:17 +0000

>> Then here's another recipe with long lines detection enabled:
>>
>> emacs -Q
>> C-x C-f src/xdisp.c RET
>> C-n
>> C-x i .../dictionary.json RET
>> M->
>> C-u 37100 C-p
>
> Where can I get a one-line dictionary.json file?  I don't think I have 
> it here.
>

It's here: https://github.com/Wilfred/ReVo-utilities/blob/a4bdc40dd2656c496defc461fc19c403c8306d9f/revo-export/dictionary.json?raw=true

Then you can obtain the 1GB file with:

for I in $(seq 1 60); do cat dictionary.json; done > hugedictionary.json

(Note that I did not actually try the above recipe, it's just meant to 
show that there will always be corner cases that won't be handled, even 
with a dynamic detection of long lines.)